### Enumeration

# Qmi WmsReceiptAction

since: 1.0

#### Declaration

    enum Qmi.WmsReceiptAction

#### Description [src]

Action to perform when a message is received.

Available since: 1.0

#### Members

`QMI_WMS_RECEIPT_ACTION_DISCARD`

  Discard message.

  - Value: `0`
  - Available since: 1.0
`QMI_WMS_RECEIPT_ACTION_STORE_AND_NOTIFY`

  Store and notify to client.

  - Value: `1`
  - Available since: 1.0
`QMI_WMS_RECEIPT_ACTION_TRANSFER_ONLY`

  Notify to client, which should send back ACK.

  - Value: `2`
  - Available since: 1.0
`QMI_WMS_RECEIPT_ACTION_TRANSFER_AND_ACK`

  Notify to client and send back ACK.

  - Value: `3`
  - Available since: 1.0
`QMI_WMS_RECEIPT_ACTION_UNKNOWN`

  Unknown action.

  - Value: `255`
  - Available since: 1.0

#### Type functions

###### qmi_wms_receipt_action_get_string

Gets the nickname string for the `QmiWmsReceiptAction` specified at `val`.

since: 1.0